<?php  
/**
 * Createing an skills pannel for customizer
 *
 */
// START skills SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_skills_section',
        array(
            'title' => __( 'Our Facility Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_skills_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_skills_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_skills_section_disable',
                'section'       => 'lz_fitness_premium_skills_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'skills', 'lz_fitness_premium_skills_section', $color='#fff');


lzCustomLable($wp_customize, 'lz_fitness_sec_petfacilitysecsectionpadding', 'lz_fitness_premium_skills_section', 'Set Padding For Facility Section(Complete Section Padding):');

$wp_customize->add_setting(
    'sec_petfacilitysectionTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '9em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectionTpadding',
    array(
        'settings'      => 'sec_petfacilitysectionTpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_petfacilitysectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectionBpadding',
    array(
        'settings'      => 'sec_petfacilitysectionBpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_petfacilitysectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectionLpadding',
    array(
        'settings'      => 'sec_petfacilitysectionLpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_petfacilitysectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectionRpadding',
    array(
        'settings'      => 'sec_petfacilitysectionRpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'lz-fitness-premium' )
    )
);




lzCustomLable($wp_customize, 'lz_fitness_centerimagepetfacssbx', 'lz_fitness_premium_skills_section', 'Background Image Dispaly For Section Title & Sub Title Box:');

// to show & hide another button
$wp_customize->add_setting( 'petfactitlebgimage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'petfactitlebgimage_display', array( 'label' => 'Background Image Display', 'section' => 'lz_fitness_premium_skills_section', 'settings' => 'petfactitlebgimage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Background Image', 'hide' => 'Hide Background Image', ), ) ); 


$wp_customize->add_setting('lz_fitness_premium_petfaciseccenterimage_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_premium_petfaciseccenterimage_section_lbl',
        array(
            'settings'      => 'lz_fitness_premium_petfaciseccenterimage_section_lbl',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Note:', 'InsideTours' ),    
            'description'   => __( '*Required Background Image Of Size 200*180 pixels', 'InsideTours' ),
        )
    )
);
$wp_customize->add_setting(
        'lz_fitness_petfacilityttl_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_petfacilityttl_image_heading',
            array(
                'settings'      => 'lz_fitness_petfacilityttl_image_heading',
                'section'       => 'lz_fitness_premium_skills_section',
                'label'         => __( 'Set Title & Subtitle Box Background Image & Its Position From Top', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_petfacttl_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_petfacttl_image',
            array(
                'section' => 'lz_fitness_premium_skills_section',
                'settings' => 'lz_fitness_petfacttl_image',
                'description' => __('Recommended Image Size: 200X180px', 'lz-fitness-premium')
            )
        )
    );
// end to show & hide button
//lzCustomLable($wp_customize, 'lz_fitness_centerimageservicespositionbx', 'lz_fitness_blog_section', 'Set Background Image Position From Top:');

$wp_customize->add_setting(
    'sec_petfacilitytitleimage',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '107px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitytitleimage',
    array(
        'settings'      => 'sec_petfacilitytitleimage',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Set Title & Subtitle Box Background Image Position From Top', 'lz-fitness-premium' )
    )
);



lzCustomLable($wp_customize, 'lz_fitness_sec_petfacilitysecsectioninnercbxpadding', 'lz_fitness_premium_skills_section', 'Set Padding For Content Box:');

$wp_customize->add_setting(
    'sec_petfacilitysectioninnerbxTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectioninnerbxTpadding',
    array(
        'settings'      => 'sec_petfacilitysectioninnerbxTpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_petfacilitysectioninnerbxBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectioninnerbxBpadding',
    array(
        'settings'      => 'sec_petfacilitysectioninnerbxBpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_petfacilitysectioninnerbxLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectioninnerbxLpadding',
    array(
        'settings'      => 'sec_petfacilitysectioninnerbxLpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_petfacilitysectioninnerbxRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_petfacilitysectioninnerbxRpadding',
    array(
        'settings'      => 'sec_petfacilitysectioninnerbxRpadding',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Content Box Right Padding', 'lz-fitness-premium' )
    )
);


    $wp_customize->add_setting(
    'lz_fitness_skills_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_skills_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_skills_title_sub_title_heading',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Section Title & Subtitle', 'InsideTours' ),
        )
    )
);   
$wp_customize->add_setting(
    'lz_fitness_skills_leftboxtitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our Facilities', 'InsideTours' )
    )
);
$wp_customize->add_control(
    'lz_fitness_skills_leftboxtitle',
    array(
        'settings'      => 'lz_fitness_skills_leftboxtitle',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'InsideTours' )
    )
);

addColorPalatOption($wp_customize, 'lz_fitness_skillsfacility_ttl_Color', 'lz_fitness_premium_skills_section', 'Select Section Sub Title color', '#68a0f9');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacility_ttlbrsssc_Color', 'lz_fitness_premium_skills_section', 'Select Section Sub Title Border color', '#68a0f9');

$wp_customize->add_setting(
    'lz_fitness_skills_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Best Facilities', 'InsideTours' )
    )
);
$wp_customize->add_control(
    'lz_fitness_skills_title',
    array(
        'settings'      => 'lz_fitness_skills_title',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Section Title', 'InsideTours' )
    )
);
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitysection_ttl_Color', 'lz_fitness_premium_skills_section', 'Select Section Title color', '#3b3634');

$wp_customize->add_setting('lz_fitness_skills_section_iconntnlbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_skills_section_iconntnlbl',
        array(
            'settings'      => 'lz_fitness_skills_section_iconntnlbl',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Note:', 'InsideTours' ),    
            'description'   => __( 'Changes Will not reflect untill you select fontawesome icon', 'InsideTours' ),
        )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_leftfacilityplnbx', 'lz_fitness_premium_skills_section', 'Facility Plans Left Boxes:');


$wp_customize->add_setting('lz_fitness_skills_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_skills_npp_heading',
        array(
            'settings'      => 'lz_fitness_skills_npp_heading',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Number Of Facility Plans', 'InsideTours' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_skills_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_skills_npp_count',
    array(
        'settings'      => 'lz_fitness_skills_npp_count',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'InsideTours' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_skills_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_skills_header'.$i,
            array(
                'settings'      => 'lz_fitness_skills_header'.$i,
                'section'       => 'lz_fitness_premium_skills_section',
                'label'         => __( 'Facility Page ', 'InsideTours' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'lz_fitness_skills_page_icon'.$i,
        array(
            'default'           => 'fa fa-gavel',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_skills_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_skills_page_icon'.$i,
                'section'       => 'lz_fitness_premium_skills_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'InsideTours' ),
            )
        )
    ); 

lzAddElement($wp_customize, 'lz_fitness_skills_page_title_'.$i, 'lz_fitness_premium_skills_section', $type = 'text', $label="Facility Page Title", $callback ='lz_fitness_sanitize_text', $default='Pet Grooming');
lzAddElement($wp_customize, 'lz_fitness_skills_page_description_'.$i, 'lz_fitness_premium_skills_section', $type = 'textarea', $label="Facility Page Description", $callback ='lz_fitness_sanitize_text', $default='There are many variations of passages of available but the majority have');
    
lzAddElement($wp_customize, 'lz_fitness_skills_page_url_'.$i, 'lz_fitness_premium_skills_section', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');


}

lzCustomLable($wp_customize, 'homepagepetfacilitycenterimg_button_displaysets', 'lz_fitness_premium_skills_section', 'Section Center Image Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'homepagepetfacilitycenterimg_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'homepagepetfacilitycenterimg_button_display', array( 'label' => 'Image Display', 'section' => 'lz_fitness_premium_skills_section', 'settings' => 'homepagepetfacilitycenterimg_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 
// end to show & hide button


// for center image
//lzCustomLable($wp_customize, 'lz_fitness_centerimgbxfrskbx', 'lz_fitness_premium_skills_section', 'Set Center Image For Section:');

$wp_customize->add_setting(
    'lz_fitness_skillscenterimg_image_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_skillscenterimg_image_heading',
        array(
            'settings'      => 'lz_fitness_skillscenterimg_image_heading',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Center Image', 'lz-fitness-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'lz_fitness_skillscenterimg_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'lz_fitness_skillscenterimg_image',
        array(
            'section' => 'lz_fitness_premium_skills_section',
            'settings' => 'lz_fitness_skillscenterimg_image',
            'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
        )
    )
);

lzCustomLable($wp_customize, 'lz_fitness_rightfacilityplnbx', 'lz_fitness_premium_skills_section', 'Facility Plans Right Boxes:');



$wp_customize->add_setting('lz_fitness_petfacility_npp_heading1',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_petfacility_npp_heading1',
        array(
            'settings'      => 'lz_fitness_petfacility_npp_heading1',
            'section'       => 'lz_fitness_premium_skills_section',
            'label'         => __( 'Number Of Facility Plans', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_petfacility_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_petfacility_npp_count',
    array(
        'settings'      => 'lz_fitness_petfacility_npp_count',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'gurukul' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES left
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_petfacility_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_petfacility_header'.$i,
            array(
                'settings'      => 'lz_fitness_petfacility_header'.$i,
                'section'       => 'lz_fitness_premium_skills_section',
                'label'         => __( 'Facility Page ', 'gurukul' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'lz_fitness_petfacility_page_icon'.$i,
        array(
            'default'           => 'fa fa-paw',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_petfacility_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_petfacility_page_icon'.$i,
                'section'       => 'lz_fitness_premium_skills_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'gurukul' ),
            )
        )
    );


lzAddElement($wp_customize, 'lz_fitness_petfacility_page_title_'.$i, 'lz_fitness_premium_skills_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Pet Bathing');
lzAddElement($wp_customize, 'lz_fitness_petfacility_page_description_'.$i, 'lz_fitness_premium_skills_section', $type = 'textarea', $label="Description", $callback ='lz_fitness_sanitize_text', $default='There are many variations of passages of available but the majority have');

lzAddElement($wp_customize, 'lz_fitness_petfacility_page_url_'.$i, 'lz_fitness_premium_skills_section', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');

    
}


addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitypageIconc_Color', 'lz_fitness_premium_skills_section', 'Select Page Icon color', '#f57d52');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitypageIconhvrssc_Color', 'lz_fitness_premium_skills_section', 'Select Page Icon Hover color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitypageIconcbgsschvrc_Color', 'lz_fitness_premium_skills_section', 'Select Page Icon Hover Background color', '#fbb34d');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitypagettl_Color', 'lz_fitness_premium_skills_section', 'Select Page Title color', '#3b3634');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitypagedescr_Color', 'lz_fitness_premium_skills_section', 'Select Page Description color', '#615e5d');


lzCustomLable($wp_customize, 'homepagepetfacility_button_displaysets', 'lz_fitness_premium_skills_section', 'Button Display, Button Text & Button Color Settings:');

// to show & hide another button
$wp_customize->add_setting( 'homepagepetfacility_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'homepagepetfacility_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_premium_skills_section', 'settings' => 'homepagepetfacility_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button


$wp_customize->add_setting(
    'lz_fitness_homepagepetfacility_txt',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Read Details', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_homepagepetfacility_txt',
    array(
        'settings'      => 'lz_fitness_homepagepetfacility_txt',
        'section'       => 'lz_fitness_premium_skills_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
 
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitybtntxt_Color', 'lz_fitness_premium_skills_section', 'Select Button Text color', '#f57d52');
addColorPalatOption($wp_customize, 'lz_fitness_skillsfacilitybtntxthvrss_Color', 'lz_fitness_premium_skills_section', 'Select Button Text Hover color', '#fbb34d');
